package com.sifang.modules.supply.stock.form;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * @author lzp
 */
public class AddMaterial {
    @NotBlank(message = "code不能为空")
    private String code;

    private String qqCode;

    @NotBlank(message = "物料名称不能为空")
    private String materialName;

    @NotBlank(message = "物料类型不能为空")
    private String materialType;

    @NotBlank(message = "物料规格不能为空")
    private String materialSpecs;


    @NotBlank(message = "物料品牌不能为空")
    private String materialBrand;

    @NotBlank(message = "物料型号不能为空")
    private String materialModel;

    private String unit;

    @NotBlank(message = "库存单位不能为空")
    private String unitName;

    @NotBlank(message = "组件玻型不能为空")
    private String componentShape;

    @NotBlank(message = "电池参数不能为空")
    private String batteryParam;

    private String remarks;

    private String customerPrice;

    public String getQqCode() {
        return qqCode;
    }

    public void setQqCode(String qqCode) {
        this.qqCode = qqCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }


    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialSpecs() {
        return materialSpecs;
    }

    public void setMaterialSpecs(String materialSpecs) {
        this.materialSpecs = materialSpecs;
    }

    public String getMaterialBrand() {
        return materialBrand;
    }

    public void setMaterialBrand(String materialBrand) {
        this.materialBrand = materialBrand;
    }

    public String getCustomerPrice() {
        return customerPrice;
    }

    public void setCustomerPrice(String customerPrice) {
        this.customerPrice = customerPrice;
    }

    public String getMaterialModel() {
        return materialModel;
    }

    public void setMaterialModel(String materialModel) {
        this.materialModel = materialModel;
    }

    public String getComponentShape() {
        return componentShape;
    }

    public void setComponentShape(String componentShape) {
        this.componentShape = componentShape;
    }

    public String getBatteryParam() {
        return batteryParam;
    }

    public void setBatteryParam(String batteryParam) {
        this.batteryParam = batteryParam;
    }
}
